<template>
  <!-- Start Content-->
  <div class="container-fluid">

    <!-- start page title -->
    <div class="row">
      <div class="col-12">
        <div class="page-title-box">
          <div class="page-title-right" v-if="false">
            <ol class="breadcrumb m-0">
              <li class="breadcrumb-item"><a href="javascript: void(0);">UBold</a></li>
              <li class="breadcrumb-item"><a href="javascript: void(0);">Ecommerce</a></li>
              <li class="breadcrumb-item active">Детали заказа</li>
            </ol>
          </div>
          <h4 class="page-title">Детали заказа</h4>
        </div>
      </div>
    </div>
    <!-- end page title -->

    <div class="row">
      <div class="col-lg-12">
        <div class="card">
          <div class="card-body">
            <h4 class="header-title mb-3">Позиции заказа #{{order_number}}</h4>

            <div class="table-responsive">
              <table class="table table-bordered table-centered mb-0">
                <thead class="thead-light">
                <tr>
                  <th>Наименование товара</th>
                  <th>Товар</th>
                  <th>Размеры</th>
                  <th>Количество</th>
                  <th>Цена</th>
                  <th>Стоимость</th>
                  <th>Скидка</th>
                  <th>Всего</th>
                </tr>
                </thead>
                <tbody>
                <template v-for="product in products">
                  <tr v-show="company_type == 'customer'"><td colspan="6">Компания {{product.company_name}} (Тел.: {{product.company_mobilephone}}, E-mail: {{product.company_email}})</td></tr>
                  <template v-for="product_data in product.product_data">
                    <tr v-for="(size, index) in product_data.sizes">
                      <th scope="row" :rowspan="countSizes(product_data.sizes)" v-if="index == 0">{{ product_data.product_name }}</th>
                      <td :rowspan="countSizes(product_data.sizes)" v-if="index == 0"><img :src="product_data.product_images[0]" alt="product-img" height="150"></td>
                      <td>{{size.value}} размер: {{size.stock}} шт.</td>
                      <td :rowspan="countSizes(product_data.sizes)" v-if="index == 0">{{ product_data.quantity }} шт.</td>
                      <td :rowspan="countSizes(product_data.sizes)" v-if="index == 0">{{ product_data.price }} р.</td>
                      <td :rowspan="countSizes(product_data.sizes)" v-if="index == 0">{{ product_data.price * product_data.quantity }} р.</td>
                      <td :rowspan="countSizes(product_data.sizes)" v-if="index == 0">{{ product_data.product_discount }} р.</td>
                      <td :rowspan="countSizes(product_data.sizes)" v-if="index == 0">{{ product_data.product_total }} р.</td>
                    </tr>
                    </template>
                </template>
                <tr>
                  <th scope="row" colspan="3" class="text-right">Итого :</th>
                  <td><div class="font-weight-bold">{{quantity}} шт.</div></td>
                  <td><div class="font-weight-bold">{{price}} р.</div></td>
                  <td><div class="font-weight-bold">{{price * quantity}} р.</div></td>
                  <td><div class="font-weight-bold">{{discount}} р.</div></td>
                  <td><div class="font-weight-bold">{{summ}} р.</div></td>
                </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- end row -->

    <div class="row" v-if="company_type == 'manufacturer'">
      <div class="col-lg-4">
        <div class="card">
          <div class="card-body">
            <h4 class="header-title mb-3">Информация о покупателе</h4>

            <h5 class="font-family-primary font-weight-semibold">{{ company_name }}</h5>

            <p class="mb-2" v-if="false"><span class="font-weight-semibold mr-2">Город доставки:</span> 3559 Roosevelt Wilson Lane San Bernardino, CA 92405</p>
            <p class="mb-2"><span class="font-weight-semibold mr-2">Email:</span> {{company_email}}</p>
            <p class="mb-0"><span class="font-weight-semibold mr-2">Телефон:</span> {{company_mobilephone}}</p>

          </div>
        </div>
      </div> <!-- end col -->

      <div class="col-lg-4" v-if="false">
        <div class="card">
          <div class="card-body">
            <h4 class="header-title mb-3">Billing Information</h4>

            <ul class="list-unstyled mb-0">
              <li>
                <p class="mb-2"><span class="font-weight-semibold mr-2">Payment Type:</span> Credit Card</p>
                <p class="mb-2"><span class="font-weight-semibold mr-2">Provider:</span> Visa ending in 2851</p>
                <p class="mb-2"><span class="font-weight-semibold mr-2">Valid Date:</span> 02/2020</p>
                <p class="mb-0"><span class="font-weight-semibold mr-2">CVV:</span> xxx</p>
              </li>
            </ul>

          </div>
        </div>
      </div> <!-- end col -->

      <div class="col-lg-4" v-if="false">
        <div class="card">
          <div class="card-body">
            <h4 class="header-title mb-3">Delivery Info</h4>

            <div class="text-center">
              <i class="mdi mdi-truck-fast h2 text-muted"></i>
              <h5><b>UPS Delivery</b></h5>
              <p class="mb-1"><span class="font-weight-semibold">Order ID :</span> xxxx235</p>
              <p class="mb-0"><span class="font-weight-semibold">Payment Mode :</span> COD</p>
            </div>
          </div>
        </div>
      </div> <!-- end col -->

    </div>
    <!-- end row -->

  </div> <!-- container -->
</template>

<script>
export default {
  name: "_slug",
  data(){
    return {
      company_type: '',
      product_name: '',
      order_number: '',
      company_name: '',
      company_email: '',
      company_mobilephone: '',
      sizes: {},
      quantity: 0,
      price: 0,
      total: 0,
      discount: 0,
      summ: 0,
      products: {},
    }
  },
  created () {
    this.$axios.get('/orders/show',{
       params: {
         number: this.$route.params.number
       }
    })
      .then(resp => {
        this.company_type = resp.data.company_type;
        this.products = resp.data.products;
        this.order_number = this.$route.params.number;
        this.quantity = resp.data.total_quantity;
        this.price = resp.data.total_price;
        this.discount = resp.data.total_discount;
        this.summ = resp.data.total_summ;
        this.company_name = resp.data.company_name;
        this.company_email = resp.data.company_email;
        this.company_mobilephone = resp.data.company_mobilephone;
        console.log(resp.data);
      }).catch(function(){
      console.log('Error 123');
    });
  },
  methods:{
    countSizes(sizes){
      return sizes.length;
    },
  }
}
</script>

<style scoped>

</style>
